Bug 489189 - "Deactivate [touchpad] during typing" should warn gamers
Summary: "Deactivate [touchpad] during typing" should warn gamers
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_touchpad (show other bugs)
Version: 6.1.0
Platform: Arch Linux Linux
: NOR wishlist
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-06-25 17:18 UTC by Fernando M. Muniz
Modified: 2024-06-26 15:08 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.2.0
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando M. Muniz 2024-06-25 17:18:51 UTC
"Deactivate [touchpad] during typing" should contain a warning about it making impossible to aim-while-moving in games.

Or perhaps identify Proton (Or anything game-specific) being used and deactivate automatically?
Comment 1 Bug Janitor Service 2024-06-26 02:48:40 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/2343
Comment 2 Nate Graham 2024-06-26 12:42:54 UTC
Git commit a087cbe588424d4f0c1d305a6044730681555064 by Nate Graham.
Committed on 26/06/2024 at 12:35.
Pushed by ngraham into branch 'master'.

kcms/touchpad: warn that "disable while typing" can break games

I opted not to use a ContextualHelpButton because I think it's fairly
important that people see this message and be made aware of what it
might break.
FIXED-IN: 6.2

M  +8    -0    kcms/touchpad/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/-/commit/a087cbe588424d4f0c1d305a6044730681555064